Package com.sas.services.security

# Class BadHostLoginServiceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.services.ServiceException
com.sas.services.security.LoginServiceException
com.sas.services.security.NetworkLoginServiceException
com.sas.services.security.BadHostLoginServiceException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

public class BadHostLoginServiceException extends NetworkLoginServiceException implements Serializable
This exception gets thrown if the authentication process detects that an "unknown host" error occurred while attempting authentication.

Since:
  1.1
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BadHostLoginServiceException()`
  Constructs a default exception to indicate that an invalid host prevented a successful login.
  `BadHostLoginServiceException(String message)`
  Constructs a default exception to indicate that an invalid host prevented a successful login using the specified message.
  `BadHostLoginServiceException(Throwable throwable, String message)`
  Constructs a default exception to indicate that an invalid host prevented a successful login using the specified message and the throwable which caused the failure.

- ## Method Summary

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BadHostLoginServiceException

    public BadHostLoginServiceException()
    Constructs a default exception to indicate that an invalid host prevented a successful login.

  - ### BadHostLoginServiceException

    public BadHostLoginServiceException(String message)
    Constructs a default exception to indicate that an invalid host prevented a successful login using the specified message.
    Parameters:
      `message` - Message detailing why the login failed due to an invalid host.

  - ### BadHostLoginServiceException

    public BadHostLoginServiceException(Throwable throwable, String message)
    Constructs a default exception to indicate that an invalid host prevented a successful login using the specified message and the throwable which caused the failure.
    Parameters:
      `throwable` - Throwable causing the login failure.
      `message` - Message detailing why the login failed due to an invalid host.